Package org.apache.lucene.analysis.br

# Class BrazilianAnalyzer

java.lang.Object
org.apache.lucene.analysis.Analyzer
org.apache.lucene.analysis.StopwordAnalyzerBase
org.apache.lucene.analysis.br.BrazilianAnalyzer

All Implemented Interfaces:
  `Closeable`, `AutoCloseable`

public final class BrazilianAnalyzer extends StopwordAnalyzerBase
`Analyzer` for Brazilian Portuguese language.

Supports an external list of stopwords (words that will not be indexed at all) and an external list of exclusions (words that will not be stemmed, but indexed).

NOTE: This class uses the same `Version` dependent settings as `StandardAnalyzer`.

Since:
  3.1

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.apache.lucene.analysis.Analyzer

  `Analyzer.ReuseStrategy, Analyzer.TokenStreamComponents`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `DEFAULT_STOPWORD_FILE`
  File containing default Brazilian Portuguese stopwords.

  ### Fields inherited from class org.apache.lucene.analysis.StopwordAnalyzerBase

  `stopwords`

  ### Fields inherited from class org.apache.lucene.analysis.Analyzer

  `GLOBAL_REUSE_STRATEGY, PER_FIELD_REUSE_STRATEGY`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `BrazilianAnalyzer()`
  Builds an analyzer with the default stop words (`getDefaultStopSet()`).
  `BrazilianAnalyzer(CharArraySet stopwords)`
  Builds an analyzer with the given stop words
  `BrazilianAnalyzer(CharArraySet stopwords, CharArraySet stemExclusionSet)`
  Builds an analyzer with the given stop words and stemming exclusion words

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected Analyzer.TokenStreamComponents`
  `createComponents(String fieldName)`
  Creates `Analyzer.TokenStreamComponents` used to tokenize all the text in the provided `Reader`.
  `static CharArraySet`
  `getDefaultStopSet()`
  Returns an unmodifiable instance of the default stop-words set.
  `protected TokenStream`
  `normalize(String fieldName, TokenStream in)`

  ### Methods inherited from class org.apache.lucene.analysis.StopwordAnalyzerBase

  `getStopwordSet, loadStopwordSet, loadStopwordSet`

  ### Methods inherited from class org.apache.lucene.analysis.Analyzer

  `attributeFactory, close, getOffsetGap, getPositionIncrementGap, getReuseStrategy, initReader, initReaderForNormalization, normalize, tokenStream, tokenStream`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### DEFAULT_STOPWORD_FILE

    public static final String DEFAULT_STOPWORD_FILE
    File containing default Brazilian Portuguese stopwords.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### BrazilianAnalyzer

    public BrazilianAnalyzer()
    Builds an analyzer with the default stop words (`getDefaultStopSet()`).

  - ### BrazilianAnalyzer

    public BrazilianAnalyzer(CharArraySet stopwords)
    Builds an analyzer with the given stop words
    Parameters:
      `stopwords` - a stopword set

  - ### BrazilianAnalyzer

    public BrazilianAnalyzer(CharArraySet stopwords, CharArraySet stemExclusionSet)
    Builds an analyzer with the given stop words and stemming exclusion words
    Parameters:
      `stopwords` - a stopword set

- ## Method Details

  - ### getDefaultStopSet

    public static CharArraySet getDefaultStopSet()
    Returns an unmodifiable instance of the default stop-words set.
    Returns:
      an unmodifiable instance of the default stop-words set.

  - ### createComponents

    protected Analyzer.TokenStreamComponents createComponents(String fieldName)
    Creates `Analyzer.TokenStreamComponents` used to tokenize all the text in the provided `Reader`.
    Specified by:
      `createComponents` in class `Analyzer`
    Returns:
      `Analyzer.TokenStreamComponents` built from a `StandardTokenizer` filtered with `LowerCaseFilter`, `StopFilter`, and `BrazilianStemFilter`.

  - ### normalize

    protected TokenStream normalize(String fieldName, TokenStream in)
    Overrides:
      `normalize` in class `Analyzer`